﻿Public Class WebFtp
    ''' <summary>
    ''' コンストラクタ
    ''' </summary>
    ''' <remarks></remarks>
    Public Sub New()
    End Sub
    ''' <summary>
    ''' FTPホスト名を設定または取得します
    ''' </summary>
    ''' <value>FTPホスト名　例) "ftp.sample.jp"</value>
    ''' <returns>FTPホスト名　例) "ftp.sample.jp"</returns>
    ''' <remarks></remarks>
    Public Property Host() As String
        Get
            Return ""
        End Get
        Set(value As String)
        End Set
    End Property
    ''' <summary>
    ''' FTPユーザー名を設定または取得します
    ''' </summary>
    ''' <value>FTPユーザー名</value>
    ''' <returns>FTPユーザー名</returns>
    ''' <remarks></remarks>
    Public Property Username() As String
        Get
            Return ""
        End Get
        Set(value As String)
        End Set
    End Property
    ''' <summary>
    ''' FTPパスワードを設定または取得します
    ''' </summary>
    ''' <value>FTPパスワード</value>
    ''' <returns>FTPパスワード</returns>
    ''' <remarks></remarks>
    Public Property Password() As String
        Get
            Return ""
        End Get
        Set(value As String)
        End Set
    End Property
    ''' <summary>
    ''' ウェブサーバー側のディレクトリを設定または取得します
    ''' </summary>
    ''' <value>ログイン直後からの相対ディレクトリ 例) ""  "public_html"  "public_html/data"</value>
    ''' <returns>ログイン直後からの相対ディレクトリ</returns>
    ''' <remarks></remarks>
    Public Property Directory() As String
        Get
            Return ""
        End Get
        Set(value As String)
        End Set
    End Property
    ''' <summary>
    ''' ウェブサーバー側のファイル名を設定または取得します
    ''' </summary>
    ''' <value>ファイル名 例) "sample.txt" "data20120715.php"</value>
    ''' <returns>ファイル名</returns>
    ''' <remarks></remarks>
    Public Property RemoteFilename() As String
        Get
            Return ""
        End Get
        Set(value As String)
        End Set
    End Property
    ''' <summary>
    ''' パッシブモードを設定または取得します
    ''' </summary>
    ''' <value>パッシブモードが有効の場合はTrue、無効の場合はFalse</value>
    ''' <returns>パッシブモードが有効の場合はTrue、無効の場合はFalse</returns>
    ''' <remarks></remarks>
    Public Property Pasv() As Boolean
        Get
            Return false
        End Get
        Set(value As Boolean)
        End Set
    End Property
    ''' <summary>
    ''' ローカルファイルを指定してアップロードします
    ''' </summary>
    ''' <param name="localFilepath">ローカルファイルをフルパスで指定します 例) "D:\data\sample.txt"</param>
    ''' <returns>アップロードしたバイト数　エラーの場合は-1</returns>
    ''' <remarks></remarks>
    Public Function UploadFile(ByVal localFilepath As String) As Integer
        Return Nothing
    End Function
    ''' <summary>
    ''' 文字列を指定してアップロードします　アップロード先でテキストファイルが作成されます
    ''' </summary>
    ''' <param name="localStr">アップロードする文字列</param>
    ''' <returns>アップロードしたバイト数　エラーの場合は-1</returns>
    ''' <remarks></remarks>
    Public Function UploadStrings(ByVal localStr As String) As Integer
        Return Nothing
    End Function
    ''' <summary>
    ''' ローカルファイルを指定してダウンロードします
    ''' </summary>
    ''' <param name="localFilepath">ローカルファイルをフルパスで指定します 例) "D:\data\sample.txt"</param>
    ''' <returns>ダウンロードしたバイト数　エラーの場合は-1</returns>
    ''' <remarks></remarks>
    Public Function DownloadFile(ByVal localFilepath As String) As Integer
        Return Nothing
    End Function
    ''' <summary>
    ''' ダウンロードして文字列で返します
    ''' </summary>
    ''' <returns>ダウンロードした文字列　エラーの場合はNothing</returns>
    ''' <remarks></remarks>
    Public Function DownloadStrings() As String
        Return Nothing
    End Function
End Class
